rte_eth_stats(3)

NAME
rte_eth_stats

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

uint64_t ipackets
uint64_t opackets
uint64_t ibytes
uint64_t obytes
uint64_t imissed
uint64_t ierrors
uint64_t oerrors
uint64_t rx_nombuf

Detailed Description

A structure used to retrieve statistics for an Ethernet port. Not all statistics fields in struct rte_eth_stats are supported by any type of network interface card (NIC). If any statistics field is not supported, its value is 0. All byte-related statistics do not include Ethernet FCS regardless of whether these bytes have been delivered to the application (see RTE_ETH_RX_OFFLOAD_KEEP_CRC).

Definition at line 262 of file rte_ethdev.h.

Field Documentation

  uint64_t ipackets
Total number of successfully received packets.

Definition at line 263 of file rte_ethdev.h.

  uint64_t opackets
Total number of successfully transmitted packets.

Definition at line 264 of file rte_ethdev.h.

  uint64_t ibytes
Total number of successfully received bytes.

Definition at line 265 of file rte_ethdev.h.

  uint64_t obytes
Total number of successfully transmitted bytes.

Definition at line 266 of file rte_ethdev.h.

  uint64_t imissed
Total of Rx packets dropped by the HW, because there are no available buffer (i.e. Rx queues are full).

Definition at line 271 of file rte_ethdev.h.

  uint64_t ierrors
Total number of erroneous received packets.

Definition at line 272 of file rte_ethdev.h.

  uint64_t oerrors
Total number of failed transmitted packets.

Definition at line 273 of file rte_ethdev.h.

  uint64_t rx_nombuf
Total number of Rx mbuf allocation failures.

Definition at line 274 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.